Subject: Re: [Capwap] Issue 141: Inconsistent usage of Radio ID and WLAN ID

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Fri, 15 Sep 2006 11:41:36 -0700

Just send the following reply to Issue 171, when it should have been
sent on this issue.

Given the lack of activity on this proposed text, I will assume
acceptance of my proposed approach. I will mark the issue as closed.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Pat Calhoun (pacalhou) 
> Sent: Thursday, August 31, 2006 3:41 PM
> To: [email-masked]
> Subject: [Capwap] Issue 141: Inconsistent usage of Radio ID 
> and WLAN ID
> 
>  
>  I've seen several places where the range of the Radio ID and 
> WLAN ID is inconsistant.
> 
> In section 4.1, in the transport header, the RID is
> 5 bits (a range of 0-31), but in section 4.4.34, the max 
> radios and radios in use is a 8 bits (range of 0-255). Also, 
> in sections 4.4.8, 4.4.11, 4.4.14, 4.4.15, 4.4.17, 4.4.28, 
> 4.4.39, 11.10.1, 11.10.2, 11.10.5, 11.10.6, 11.10.8, 11.10.9, 
> 11.10.10, 11.10.11, 11.10.13, 11.10.14, 11.10.15, 11.10.16, 
> 11.10.17, 11.10.18, 11.10.19, 11.10.20, 11.10.21, 11.10.22, 
> 11.10.23, and 11.10.24 the radio ID field is 8 bits.
> 
> <PRC>
> ok, well this is done in order to be more efficient on the 
> CAPWAP header. I see no need to increase the Radio ID to 
> greater than 5 bits at this time. So I can make the change in 
> one of two ways. 
> 
> The first is to make an actual change to the figures, which 
> honestly to me seems overly complex. The new diagrams would 
> now look like:
> 
>    0                   1                   2                   3
>    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   | PAD | Radio ID|                  MAC Address                  |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> Where everytime the PAD would be defined as MUST BE ZERO. An 
> alternative is simply to be more prescriptive in the 
> definition of the Radio ID fields, such as:
> 
>     Radio ID:
>       An 8-bit value representing the radio. Note the supported values
>       are between 0 and 31.
> 
> Any preferences? I would opt for the second approach </PRC>
> 
> In section 11.4, WLAN is a bit map of length 16 (thus a range 
> of 0-15). However, in the following sections, WLAN ID is 8 
> bits (a range of 0-255):
> 11.10.1, 11.10.9, 11.10.10, and 11.10.11.
> And in sections 11.10.5 and 11.10.21 the WLAN ID is 16 bits (0-65535)
> 
> <PRC> Actually, section 11.4 is a bitmap, and not the WLAN 
> ID. However, I have made the change to be clearer.
> 
> Pat Calhoun
> CTO, Wireless Networking Business Unit
> Cisco Systems
> _________________________________________________________________
> To unsubscribe or modify your subscription options, please visit:
> http://lists.frascone.com/mailman/listinfo/capwap
> 
> Archives: http://lists.frascone.com/pipermail/capwap
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap